
package jp.riken.brain.ni.samuraigraph.data;

import jp.riken.brain.ni.samuraigraph.base.SGIData;

/**
 * An interface for the two-dimensional data.
 */
public interface SGITwoDimensionalData extends SGIData
{

	/**
	 * Returns the minimum X value.
	 */
	public double getMinValueX();


	/**
	 * Returns the maximum X value.
	 */
	public double getMaxValueX();


	/**
	 * Returns the minimum Y value.
	 */
	public double getMinValueY();


	/**
	 * Returns the maximum Y value.
	 */
	public double getMaxValueY();

}

